<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_KOGENERAChangeInCo2RightsPurchasedForRedemption">Zmiana stanu uprawnień do emisji CO2 nabytych w celu umorzenia</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_KOGENERACO2EmissionAllowancesPurchasedForRedemption">Uprawnienia do emisji CO2 nabyte w celu umorzenia</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_KOGENERACO2EmissionAllowancesPurchasedForShortTermRedemption">Uprawnienia do emisj CO2 nabyte w celu umorzenia krótkoterminowe</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_KOGENERAFundsReceivedUnderCashPooling">Odsetki otrzymane w ramach cash poolingu</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_KOGENERAFundsTransferredUnderCashPooling">Środki przekazane w ramach cash pooling</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_KOGENERAIncomeCostsFromCompensation">Przychody (koszty) z tytułu rekompensaty</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_KOGENERAInterestAndDividends">Odsetki i dywidendy</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_KOGENERALongTermLiabilitiesDueToLoansAndLeases">Długoterminowe zobowiązania z tytułu pożyczek i leasingu</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_KOGENERANetBorrowings">Wpływy i wydatki z tytułu pożyczek</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_KOGENERANetCashPooling">Wpływy i wydatki w ramach umowy cash pooling</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_KOGENERAShortTermLiabilitiesDueToLoansAndLeases">Krótkoterminowe zobowiązania z tytułu pożyczek i leasingy</link:label>
    <link:loc xlink:type="locator" xlink:href="529900IIZX8UAI8MJ703-2023-12-31.xsd#KGN_KOGENERAChangeInCo2RightsPurchasedForRedemption" xlink:label="KOGENERAChangeInCo2RightsPurchasedForRedemption" />
    <link:loc xlink:type="locator" xlink:href="529900IIZX8UAI8MJ703-2023-12-31.xsd#KGN_KOGENERACO2EmissionAllowancesPurchasedForRedemption" xlink:label="KOGENERACO2EmissionAllowancesPurchasedForRedemption" />
    <link:loc xlink:type="locator" xlink:href="529900IIZX8UAI8MJ703-2023-12-31.xsd#KGN_KOGENERACO2EmissionAllowancesPurchasedForShortTermRedemption" xlink:label="KOGENERACO2EmissionAllowancesPurchasedForShortTermRedemption" />
    <link:loc xlink:type="locator" xlink:href="529900IIZX8UAI8MJ703-2023-12-31.xsd#KGN_KOGENERAFundsReceivedUnderCashPooling" xlink:label="KOGENERAFundsReceivedUnderCashPooling" />
    <link:loc xlink:type="locator" xlink:href="529900IIZX8UAI8MJ703-2023-12-31.xsd#KGN_KOGENERAFundsTransferredUnderCashPooling" xlink:label="KOGENERAFundsTransferredUnderCashPooling" />
    <link:loc xlink:type="locator" xlink:href="529900IIZX8UAI8MJ703-2023-12-31.xsd#KGN_KOGENERAIncomeCostsFromCompensation" xlink:label="KOGENERAIncomeCostsFromCompensation" />
    <link:loc xlink:type="locator" xlink:href="529900IIZX8UAI8MJ703-2023-12-31.xsd#KGN_KOGENERAInterestAndDividends" xlink:label="KOGENERAInterestAndDividends" />
    <link:loc xlink:type="locator" xlink:href="529900IIZX8UAI8MJ703-2023-12-31.xsd#KGN_KOGENERALongTermLiabilitiesDueToLoansAndLeases" xlink:label="KOGENERALongTermLiabilitiesDueToLoansAndLeases" />
    <link:loc xlink:type="locator" xlink:href="529900IIZX8UAI8MJ703-2023-12-31.xsd#KGN_KOGENERANetBorrowings" xlink:label="KOGENERANetBorrowings" />
    <link:loc xlink:type="locator" xlink:href="529900IIZX8UAI8MJ703-2023-12-31.xsd#KGN_KOGENERANetCashPooling" xlink:label="KOGENERANetCashPooling" />
    <link:loc xlink:type="locator" xlink:href="529900IIZX8UAI8MJ703-2023-12-31.xsd#KGN_KOGENERAShortTermLiabilitiesDueToLoansAndLeases" xlink:label="KOGENERAShortTermLiabilitiesDueToLoansAndLeases" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KOGENERAChangeInCo2RightsPurchasedForRedemption" xlink:to="label_KOGENERAChangeInCo2RightsPurchasedForRedemption" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KOGENERACO2EmissionAllowancesPurchasedForRedemption" xlink:to="label_KOGENERACO2EmissionAllowancesPurchasedForRedemption" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KOGENERACO2EmissionAllowancesPurchasedForShortTermRedemption" xlink:to="label_KOGENERACO2EmissionAllowancesPurchasedForShortTermRedemption" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KOGENERAFundsReceivedUnderCashPooling" xlink:to="label_KOGENERAFundsReceivedUnderCashPooling" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KOGENERAFundsTransferredUnderCashPooling" xlink:to="label_KOGENERAFundsTransferredUnderCashPooling" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KOGENERAIncomeCostsFromCompensation" xlink:to="label_KOGENERAIncomeCostsFromCompensation" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KOGENERAInterestAndDividends" xlink:to="label_KOGENERAInterestAndDividends" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KOGENERALongTermLiabilitiesDueToLoansAndLeases" xlink:to="label_KOGENERALongTermLiabilitiesDueToLoansAndLeases" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KOGENERANetBorrowings" xlink:to="label_KOGENERANetBorrowings" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KOGENERANetCashPooling" xlink:to="label_KOGENERANetCashPooling" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KOGENERAShortTermLiabilitiesDueToLoansAndLeases" xlink:to="label_KOGENERAShortTermLiabilitiesDueToLoansAndLeases" order="1" />
  </link:labelLink>
</link:linkbase>